---
title: Examine Event Listeners
slug: Tools/Page_Inspector/How_to/Examine_event_listeners
tags:
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>The inspector shows the word "event" next to elements in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">HTML Pane</a>, that have event listeners bound to them:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16253/inspect_element_with_eventhandler.png" style="border: 1px solid black; display: block; height: 24px; margin-left: auto; margin-right: auto; width: 491px;"></p>

<p>Click the icon, then you'll see a popup listing all the event listeners bound to this element:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16254/inspector_event_handlers.png" style="border: 1px solid black; display: block; height: 702px; margin-left: auto; margin-right: auto; width: 828px;">Each line contains:</p>

<ul>
 <li>a right-pointing arrowhead; click to expand the row and show the listener function source code</li>
 <li>a curved arrow pointing to a stack; click it to show the code for the handler in the debugger</li>
 <li>the name of the event for which a handler was attached to this element</li>
 <li>the name and line number for the listener; you can also click here to expand the row and view the listener function source code</li>
 <li>a label indicating whether the event bubbles</li>
 <li>a label indicating the system that defines the event. Firefox can display:
  <ul>
   <li>standard DOM events</li>
   <li><a class="external external-icon" href="http://api.jquery.com/category/events/">jQuery events</a></li>
   <li><a href="https://facebook.github.io/react/docs/events.html">React events</a></li>
  </ul>
 </li>
</ul>
